﻿
.base-button {
    /*height: 40px;*/
    font-size: 15px;
    padding: 10px;
}

.min-width-150 {
    min-width: 150px;
}

.margin-left-10 {
    margin-left: 10px;
}

.min-width-55 {
    min-width: 55px;
}

.min-width-112 {
    min-width: 112px;
}

.orange-button {
    background-color: #ff7d04;
    border-color: aliceblue;
}

.not-enabled {
    cursor: default;
}

.orange-button:hover {
    background-color: #ffa44f !important;
    border-color: aliceblue !important;
}

.orange-button:disabled {
    background-color: #ffbf84 !important;
    border-color: aliceblue !important;
}

.button-margin-left-small {
    margin-left: 10px !important;
}

.login-button {
    width: 100%;
    border-radius: 8px;
    color: white;
}

.cancel-button {
    background-color: #f9eee3;
    color: #ffa44f;
    border-color: #ffa44f;
}

.cancel-button:hover {
    background-color: #ff7d04 !important;
    border-color: aliceblue !important;
    color: white;
}

.tagbox-item-template {
    display: flex;
    align-items: center;
}

.tagbox-tag-template {
    display: flex;
    background-color: #ff7d04;
    color: white;
    border-radius: 16px;
    align-items: center;
    padding: 0.125em 0.5em 0.125em 0;
    position: relative;
}

.tagbox-tag-template:before {
    content: " ";
    position: absolute;
    background-color: currentColor;
    opacity: 0.15;
    border-radius: 16px;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
}

/*.tagbox-item-template-employee-photo,
.tagbox-tag-template-employee-photo {
    margin-right: 0.5em;
    border-radius: 16px;
    border: 0 solid #000;
}

.tagbox-item-template-employee-photo {
    border-radius: 50%;
    width: 2rem;
    height: 2rem;
}

.tagbox-tag-template-employee-photo {
    width: 24px;
    height: 24px;
}

.tagbox-item-template-employee-home-phone {
    opacity: 0.65;
    display: block;
}*/

.tagbox-tag-template-close-btn {
    border: 0;
    border-radius: 3rem;
    box-shadow: none;
    font-weight: 600;
    padding: 0;
    width: 16px;
    height: 16px;
    margin: 0 0 0 0.5em;
    opacity: 0.5;
}

.tagbox-tag-template-close-btn:hover {
    opacity: 0.75;
    background-color: white;
    border-color: white;
}

.tagbox-tag-template-close-btn:focus-visible{
    outline: white;
}

.tagbox-tag-template-close-btn-icon {
    height: 17px;
    width: 17px;
    mask-image: url("../images/close-circle-white.svg");
    -webkit-mask-image: url("../images/close-circle-white.svg");
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    background-color: white;
}

.dxbl-checkbox-checked .dxbl-checkbox-check-element,
.dxbl-checkbox-indeterminate .dxbl-checkbox-check-element {
    background-color: #ffa44f !important;
}

.trusted-device-wrapper {
    display: flex;
    align-items: center;
    gap: 30px;
}

.trusted-label {
    font-weight: bold;
    width: 240px;
    line-height: 1.4;
}

.custom-checkbox-container {
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

    .custom-checkbox-container input[type="checkbox"] {
        display: none;
    }

.custom-checkmark {
    width: 25px;
    height: 25px;
    display: inline-block;
    border: 2px solid gray;
    border-radius: 4px;
    background-color: #f5f5f5;
    position: relative;
    flex-shrink: 0;
}

input[type="checkbox"]:checked + .custom-checkmark {
    background-color: #ffa64d;
    border-color: #ffa64d;
}

.custom-checkmark::after {
    content: '';
    position: absolute;
    display: none;
    left: 7px;
    top: 4px;
    width: 6px;
    height: 12px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

input[type="checkbox"]:checked + .custom-checkmark::after {
    display: block;
}

.checkbox-description {
    line-height: 1.3;
}
